com.atid.lib.types

## Enum ActionState

- java.lang.Object
- - java.lang.Enum<ActionState>
  - - com.atid.lib.types.ActionState

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<ActionState>

      public enum ActionState
      extends java.lang.Enum<ActionState>
      implements IEnumType

  ActionState indicates the current operation status of the device.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BlockErase`
    `BlockWrite`
    `Decoding`
    `DefaultParameter`
    `Inventory6b`
    `Inventory6c`
    `InventoryAndDecode`
    `Kill`
    `LoadStoredData`
    `Lock`
    `PermaLock`
    `ReadMemory6b`
    `ReadMemory6c`
    `RemoveAllStoredData`
    `SaveStoredData`
    `Stop`
    `Untraceable`
    `WriteMemory6b`
    `WriteMemory6c`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static ActionState` | `valueOf(int code)`
    `static ActionState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ActionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Stop

          public static final ActionState Stop

    - #### Inventory6c

          public static final ActionState Inventory6c

    - #### Inventory6b

          public static final ActionState Inventory6b

    - #### ReadMemory6c

          public static final ActionState ReadMemory6c

    - #### ReadMemory6b

          public static final ActionState ReadMemory6b

    - #### WriteMemory6c

          public static final ActionState WriteMemory6c

    - #### WriteMemory6b

          public static final ActionState WriteMemory6b

    - #### Lock

          public static final ActionState Lock

    - #### PermaLock

          public static final ActionState PermaLock

    - #### Kill

          public static final ActionState Kill

    - #### BlockErase

          public static final ActionState BlockErase

    - #### BlockWrite

          public static final ActionState BlockWrite

    - #### Untraceable

          public static final ActionState Untraceable

    - #### Decoding

          public static final ActionState Decoding

    - #### LoadStoredData

          public static final ActionState LoadStoredData

    - #### SaveStoredData

          public static final ActionState SaveStoredData

    - #### RemoveAllStoredData

          public static final ActionState RemoveAllStoredData

    - #### DefaultParameter

          public static final ActionState DefaultParameter

    - #### InventoryAndDecode

          public static final ActionState InventoryAndDecode

  - ### Method Detail

    - #### values

          public static ActionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActionState c : ActionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActionState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<ActionState>`

    - #### valueOf

          public static ActionState valueOf(int code)